### Name: ofw
### Title: Optimal Feature Weighting with CART and SVM
### Aliases: ofw ofw.default print.ofw
### Keywords: classif tree

### ** Examples

## On data set "srbct"
data(srbct)
attach(srbct)

##ofwCART
learn.cart <- ofw(srbct, as.factor(class),type="CART", ntree=100, nforest=200, mtry=5)
print(learn.cart)
## Look at variable importance:
learn.cart$prob
## Look at the 10 most important variables:
learn.cart$list[1:10]
## Look if the internal mean error is decreasing w.r.t the number of iterations:
plot(learn.cart$mean.error, type="l")

##ofwSVM
learn.svm <- ofw(srbct, as.factor(class),type="SVM", nsvm=500, mtry=5)
print(learn.svm)
## Look at variable importance:
learn.svm$prob
## Look at the 10 most important variables:
learn.svm$list[1:10]
## to use the do.trace options:
#learn.cart <- ofw(srbct, as.factor(class),type="CART", ntree=100, nforest=200, Mtry=5, do.trace=10, nstable=5)
#learn.svm <- ofw(srbct, as.factor(class),type="SVM", nsvm=500, mtry=5, do.trace=50, nstable=5)
#learn.cart
#learn.svm
detach(srbct)



